FLANG

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::characteristics::Procedure Struct Reference
Inheritance diagram for Fortran::evaluate::characteristics::Procedure:

## Public Member Functions
| ENUM_CLASS (Attr, Pure, Elemental, BindC, ImplicitInterface, NullPointer, Subroutine) using Attrs
| Procedure (FunctionResult &&, DummyArguments &&, Attrs)
| Procedure (DummyArguments &&, Attrs)
bool | operator== (const Procedure &) const
bool | operator!= (const Procedure &that) const
bool | IsFunction () const
bool | IsSubroutine () const
bool | IsPure () const
bool | IsElemental () const
bool | IsBindC () const
bool | HasExplicitInterface () const
int | FindPassIndex (std::optional< parser::CharBlock >) const
bool | CanBeCalledViaImplicitInterface () const
bool | CanOverride (const Procedure &, std::optional< int > passIndex) const
llvm::raw_ostream & | Dump (llvm::raw_ostream &) const

## Static Public Member Functions
static std::optional< Procedure > | Characterize (const semantics::Symbol &, const IntrinsicProcTable &)
static std::optional< Procedure > | Characterize (const ProcedureDesignator &, const IntrinsicProcTable &)
static std::optional< Procedure > | Characterize (const ProcedureRef &, const IntrinsicProcTable &)

## Public Attributes
std::optional< FunctionResult > | functionResult
DummyArguments | dummyArguments
Attrs | attrs

The documentation for this struct was generated from the following files:

- include/flang/Evaluate/characteristics.h
- lib/Evaluate/characteristics.cpp